MCOOKIE(1)

BEZEICHNUNG
mcookie - magische Cookies für xauth erzeugen

ÜBERSICHT
mcookie [Optionen]

BESCHREIBUNG
mcookie erzeugt eine hexadezimale 128-Bit-Zufallszahl für das X-Hilfsprogramm für die Authentifizierung.
    xauth add :0 . `mcookie`

Die »Zufalls«-Zahl wird tatsächlich aus der Ausgabe der MD5-Prüfsumme und einigen zufälligen Informationen erzeugt: der aktuellen Zeit, der Prozess-ID, der ID des Elternprozesses und wahlweise dem Inhalt einer Eingabedatei und verschiedenen Daten aus demjenigen der folgenden Geräte, welches zuerst verfügbar ist: /dev/random, /dev/urandom, Dateien in /proc, /dev/audio.

OPTIONEN

-f, --file=DATEI
    verwendet DATEI als Quelle für den magischen Cookie. Wenn die Datei als »-« angegeben ist, wird aus der Standardeingabe gelesen.

-v, --verbose
    gibt ausführliche Informationen darüber, was geschieht.

-V, --version
    Display version information and exit.

-h, --help
    Display help text and exit.

FEHLER
Die Entropie in den erzeugten 128 Bit ist wahrscheinlich recht gering und somit anfällig für Angriffe, es sei denn, es wird ein nicht-pseudozufällig arbeitender Zahlengenerator verwendet (zum Beispiel /dev/random unter Linux).

Es wird vorausgesetzt, dass keines der geöffneten Geräte blockiert.

DATEIEN
/dev/random
/dev/urandom
/dev/audio
/proc/stat
/proc/loadavg

SIEHE AUCH
X(1), xauth(1), md5sum(1)

VERFÜGBARKEIT
Der mcookie-Befehl ist Teil des Pakets util-linux und ist verfügbar auf ftp://ftp.kernel.org/pub/linux/utils/util-linux/.

ÜBERSETZUNG
Die deutsche Übersetzung dieser Handbuchseite wurde von Mario Blättermann <mario.blaettermann@gmail.com> erstellt. Diese Übersetzung ist Freie Dokumentation; lesen Sie die GNU General Public License Version 3 oder neuer bezüglich der Copyright-Bedingungen. Es wird KEINE HAFTUNG übernommen. Wenn Sie Fehler in der Übersetzung dieser Handbuchseite finden, schicken Sie bitte eine E-Mail an <debian-l10n-german@lists.debian.org>.